ltspfs_1.4-1_amd64.deb


Advertisement

Description

ltspfs - Fuse based remote filesystem for LTSP thin clients

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name ltspfs
Package version 1.4
Package release 1
Package architecture amd64
Package type deb
Installed size 57 B
Download size 27.87 KB
Official Mirror ftp.br.debian.org
LtspFS is a remote filesystem consisting of two parts:
1) A network server daemon that runs on the LTSP terminal.
2) A FUSE module that runs in userspace on the server, that connects with
the daemon on the client.
This package contains the userspace parts for the LTSP server.

Alternatives

Package Version Architecture Repository
ltspfs_1.4-1_i386.deb 1.4 i386 Debian Main
ltspfs - - -

Requires

Name Value
fuse -
libc6 >= 2.15
libfuse2 >= 2.8
libx11-6 -
python >= 2.4

Download

Type URL
Binary Package ltspfs_1.4-1_amd64.deb
Source Package ltspfs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ltspfs deb package:
    # sudo apt-get install ltspfs

Files

Path
/usr/bin/lbmount
/usr/bin/ltspfs
/usr/sbin/ltspfsmounter
/usr/share/doc/ltspfs/README.Debian
/usr/share/doc/ltspfs/changelog.Debian.gz
/usr/share/doc/ltspfs/changelog.gz
/usr/share/doc/ltspfs/copyright
/usr/share/doc/ltspfs/examples/kde-desktop-icons
/usr/share/doc/ltspfs/examples/notify
/usr/share/man/man1/lbmount.1.gz
/usr/share/man/man1/ltspfs.1.gz
/usr/share/man/man1/ltspfsmounter.1.gz

Changelog

2014-08-18 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (1.4-1) unstable; urgency=medium
* New upstream version:
- Fix filesystem size calculations. Thanks to datube for the initial
patch! (LP: #1021579).
- Mount ltspfs filesystem directly to /media/username/mountpoint
(Closes: #758090).
- Add support for starting ltspfsd from systemd service file when
systemd is running (Closes: #758093).
- ltspfsd: Don't add duplicate entries to ltspfs_fstab.
2013-12-29 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (1.3-1) unstable; urgency=medium
* New upstream version:
- Fix bug triggering cdrom mount when no media present.
- Simplify code to trigger ltspfs mounts when LDM_DIRECTX is enabled.
- Enable all udev rules. 
* debian/rules: Use upstream udev rules for both Debian and Ubuntu.
2013-12-23 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (1.2-1) unstable; urgency=low
* New upstream version:
- Drop support for cdpinger, relying on udev rules instead.
- Move init-ltsp.d hooks into the proper place.
- Build ltspfs with -pthread to fix build failure.
Patch from Matthias Klose.
* debian/rules:
- Conditionally enable extra udev rules (Debian) or remove (Ubuntu), to
support CD media without cdpinger.
* debian/compat:
- Use debhelper compatibility level 9, which enables hardening flags.
* debian/control:
- Update Standards-Version to 3.9.5.
- Remove un-used Build-Depends on lsb-release.
- Remove obsolete DM-Upload-Allowed field.
- Update Vcs-* fields to use anonscm.debian.org.
* debian/copyright:
- Updated Upstream-Source to current location.
- Updated to use copyright-format 1.0.
2013-05-12 - Ansgar Burchardt <ansgar@debian.org>
ltspfs (1.1-2.1) unstable; urgency=low
* Non-maintainer upload.
* ltspfs: Depend on fuse instead of fuse-utils. (Closes: #698127)
2012-04-01 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (1.1-2) unstable; urgency=low
* ltspfsd: Add symlink for init-ltsp.d hook for forward compatibility with 
new ltsp versions.
* ltspfsd-core: Add dependency on procps, used in ltspfs_entry script.
2012-02-24 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (1.1-1) unstable; urgency=low
* New upstream version:
- Use init-ltsp.d hook for installing udev rules at boot.
* debian/watch: Remove check for new versions from Fedora.
2011-10-28 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (1.0-1) unstable; urgency=low
* New upstream version:
- Fix build warnings on 64-bit architectures.
* Remove inactive Uploaders- thanks for all previous work! 
* Update Standards-Version to 3.9.2:
- Drop the XS- prefix for the DM-Upload-Allowed field.
2011-08-12 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (0.9-1) unstable; urgency=low
* New upstream version:
- cdpinger: add support for UDF formatted CDs and DVDs.
- ID_FS_LABEL is now usually 'safe'. Patch from gcc (LP: #690969)
* debian/rules: Convert to using debhelper overrides.
* debian/rules: use dh-autoreconf to ensure configure scripts are up to date.
2010-09-03 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (0.7-2) unstable; urgency=low
* Upload changes from experimental to unstable.
2010-08-25 - Vagrant Cascadian <vagrant@debian.org>
ltspfs (0.7-1) experimental; urgency=low
* New upstream version:
- Improve cdrom handling.
- Add example ltspfs hook to issue notifications for desktops that do not
display icons on the desktop. Thanks to Petter Reinholdtsen. (Partially
resolves Debian bug #575031).
* Update Standards-Version to 3.9.1:
- Change Conflicts to Breaks+Replaces for ltspfsd and ltspfsd-core.
* Switch to source format 3.0 (quilt).

See Also

Package Description
ltspfsd-core_1.4-1_amd64.deb Fuse based remote filesystem daemon for LTSP thin clients
ltspfsd_1.4-1_all.deb Fuse based remote filesystem hooks for LTSP thin clients
ltt-bin_2.5.2-1_amd64.deb Transitional package for lttng-tools
lttng-modules-dkms_2.5.1-1_all.deb Linux Trace Toolkit (LTTng) kernel modules (DKMS)
lttng-tools_2.5.2-1_amd64.deb LTTng control and utility programs
lttngtop_0.2-2+b1_amd64.deb LTTng 2.0 Top-like trace reader and analyzer
lttoolbox_3.1.0-1.2_amd64.deb Apertium lexical processing modules and tools
lttv_1.5-1_amd64.deb Linux Trace Toolkit Viewer
lua-apr-dev_0.23.2.dfsg-2_amd64.deb Lua development files for the Apache Portable Runtime library
lua-apr-doc_0.23.2.dfsg-2_all.deb Lua documentation files for the Apache Portable Runtime library
lua-apr_0.23.2.dfsg-2_amd64.deb Apache Portable Runtime library for the Lua language
lua-augeas_0.1.1-3_amd64.deb Lua binding to the Augeas C API
lua-bitop-dev_1.0.2-3_amd64.deb fast bit manipulation library devel files for the Lua language
lua-bitop_1.0.2-3_amd64.deb fast bit manipulation library for the Lua language
lua-cgi_5.2~alpha2-1_all.deb CGI library for the Lua language
Advertisement
Advertisement